Subject: Re: [PATCH] t3700 (add): add failing test for add with submodules

From: Jakub Narębski <[email-masked]>
Date: Tue, 09 Apr 2013 13:43:16 +0200

W dniu 08.04.2013 23:30, Jeff King pisze:
> On Mon, Apr 08, 2013 at 03:56:49PM +0530, Ramkumar Ramachandra wrote:
> 
>> git add currently goes past submodule boundaries.  Document this bug.
> 
> It's not just submodules, but we should not recurse into any
> sub-repository. If I have an unrelated Meta/ repository, I should not be
> able to "git add Meta/foo", whether I have used "git submodule" or not.
> 
> This topic came about 2 years ago, and I had a quick-and-dirty patch:
> 
>   http://thread.gmane.org/gmane.comp.version-control.git/170937/focus=171040
> 
> I do not recall anything about the patch at this point (i.e., whether it
> was the right thing), but maybe it is a good starting point for somebody
> to look into it.

Hmmm... I used to do (and still do) such not-recommended thing,
i.e. keeping git/gitweb/TODO etc. in git/gitweb/.git repository,
while having git/gitweb/gitweb.perl in git/.git repository.

So my (admittedly strange) setup will stop working?

-- 
Jakub Narębski